# Interface CompileTester.GeneratedPredicateClause<T>

Type Parameters:
  `T` - the non-generic clause type implementing this interface

Enclosing interface:
  `CompileTester`

public static interface CompileTester.GeneratedPredicateClause<T>
The clause in the fluent API that checks that files were generated.

Author:
  Gregory Kick

## Method Summary

Modifier and Type
Method
Description
`CompileTester.SuccessfulFileClause<T>`
`generatesFileNamed(JavaFileManager.Location location, String packageName, String relativeName)`
Checks that a file with the specified location, package, and filename was generated.
`T`
`generatesFiles(JavaFileObject first, JavaFileObject... rest)`
Checks that a file with equivalent kind and content was generated for each of the given files.
`T`
`generatesSources(JavaFileObject first, JavaFileObject... rest)`
Checks that a source file with an equivalent AST was generated for each of the given files.

## Method Details

### generatesSources

@CanIgnoreReturnValue T generatesSources(JavaFileObject first, JavaFileObject... rest)
Checks that a source file with an equivalent AST was generated for each of the given files.

### generatesFiles

@CanIgnoreReturnValue T generatesFiles(JavaFileObject first, JavaFileObject... rest)
Checks that a file with equivalent kind and content was generated for each of the given files.

### generatesFileNamed

@CanIgnoreReturnValue CompileTester.SuccessfulFileClause<T> generatesFileNamed(JavaFileManager.Location location, String packageName, String relativeName)
Checks that a file with the specified location, package, and filename was generated.